net.sourceforge.pmd

## Enum RulePriority

- java.lang.Object
- - java.lang.Enum<RulePriority>
  - - net.sourceforge.pmd.RulePriority

All Implemented Interfaces:
  Serializable, Comparable<RulePriority>

    public enum RulePriority
    extends Enum<RulePriority>

These are the possible Rule priority values. For backward compatibility, priorities range in value from 1 to 5, with 5 being the lowest priority. This means the ordinal value of the Enum should be avoided in favor of `getPriority()` and `valueOf(int)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HIGH`
`LOW`
`MEDIUM`
`MEDIUM_HIGH`
`MEDIUM_LOW`

### Method Summary

Methods
`String` `getName()` Get the descriptive name of this priority.
`int` `getPriority()` Get the priority value as a number.
`String` `toString()` Returns the descriptive name of the priority.
`static RulePriority` `valueOf(int priority)` Get the priority which corresponds to the given number as returned by `getPriority()`.
`static RulePriority` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RulePriority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HIGH

    public static final RulePriority HIGH

#### MEDIUM_HIGH

    public static final RulePriority MEDIUM_HIGH

#### MEDIUM

    public static final RulePriority MEDIUM

#### MEDIUM_LOW

    public static final RulePriority MEDIUM_LOW

#### LOW

    public static final RulePriority LOW

### Method Detail

#### values

    public static RulePriority[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RulePriority c : RulePriority.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RulePriority valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPriority

    public int getPriority()

Get the priority value as a number. This is the value to be used in the externalized form of a priority (e.g. in RuleSet XML).

Returns:
  The `int` value of the priority.

#### getName

    public String getName()

Get the descriptive name of this priority.

Returns:
  The descriptive name.

#### toString

    public String toString()

Returns the descriptive name of the priority.

Overrides:
  `toString` in class `Enum<RulePriority>`

#### valueOf

    public static RulePriority valueOf(int priority)

Get the priority which corresponds to the given number as returned by `getPriority()`. If the number is an invalid value, then `LOW` will be returned.

Parameters:
  `priority` - The numeric priority value.
Returns:
  The priority.